> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activation Token

> Create a new device activation token.

<Danger>This API version has reached end of life. See [supported versions](/developers/platform-api/versioning#supported-versions).</Danger>

| Scope               | Required |
| ------------------- | -------- |
| `devices:provision` | Yes      |


## OpenAPI

````yaml /references/platform-api/2025-10-21.yaml post /devices/{device_id}/activation_token
openapi: 3.0.3
info:
  title: Miru API
  version: 2025-10-21.zion
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru API
security:
  - ApiKeyAuth: []
paths:
  /devices/{device_id}/activation_token:
    post:
      tags:
        - Devices
      summary: Activation Token
      description: Create a new device activation token.
      operationId: createDeviceActivationToken
      parameters:
        - $ref: '#/components/parameters/components-parameters-device_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueActivationTokenRequest'
      responses:
        '200':
          description: Successfully created the device activation token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            from miru_server_sdk import Miru

            client = Miru(
                api_key="My API Key",
            )
            response = client.devices.create_activation_token(
                device_id="dvc_123",
            )
            print(response.token)
components:
  parameters:
    components-parameters-device_id:
      name: device_id
      in: path
      required: true
      description: The unique identifier of the device.
      schema:
        type: string
        example: dvc_123
  schemas:
    IssueActivationTokenRequest:
      title: Issue Activation Token Request
      type: object
      properties:
        allow_reactivation:
          type: boolean
          default: false
          description: >-
            Whether this token can reactivate already activated devices. If
            false, the token is unable to activate devices which are already
            activated.
          example: false
    TokenResponse:
      title: Token Response
      type: object
      required:
        - token
        - expires_at
      properties:
        token:
          type: string
          description: The token.
          example: eyJhbGciOiJ...
        expires_at:
          type: string
          format: date-time
          description: The expiration date and time of the token.
          example: '2025-01-01T00:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The API key to use for authentication. Retrieve your API key from the
        [Miru dashboard](https://app.mirurobotics.com/settings/api-keys).

````